Bug 1302587 - (CVE-2016-0742) CVE-2016-0742 nginx: invalid pointer dereference in resolver
CVE-2016-0742 nginx: invalid pointer dereference in resolver
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160126,repor...
: Security
Depends On: 1302334 1302337 1302592 1302599 1342443
Blocks: 1302591
  Show dependency treegraph
 
Reported: 2016-01-28 03:40 EST by Martin Prpic
Modified: 2016-07-14 07:20 EDT (History)
13 users (show)

See Also:
Fixed In Version: nginx 1.9.10, nginx 1.8.1
Doc Type: Bug Fix
Doc Text:
It was discovered that nginx could perform an out of bound read and dereference an invalid pointer when resolving CNAME DNS records. An attacker able to manipulate DNS responses received by nginx could use this flaw to cause a worker process to crash if nginx enabled the resolver in its configuration.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-14 07:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2016-01-28 03:40:49 EST
The following flaw was found in the nginx resolver:

Invalid pointer dereference might occur during DNS server response processing, allowing an attacker who is able to forge UDP packets from the DNS server to cause worker process crash.

This issue affects nginx only if the "resolver" directive is used in a configuration file.

The problems are fixed in nginx upstream versions 1.9.10 and 1.8.1.

External References:

http://mailman.nginx.org/pipermail/nginx-announce/2016/000169.html
Comment 1 Martin Prpic 2016-01-28 03:45:01 EST
Created nginx tracking bugs for this issue:

Affects: fedora-all [bug 1302592]
Comment 3 Tomas Hoger 2016-02-10 16:44:26 EST
Bug 1302589 comment 3 as few notes on how nginx resolver is used.
Comment 6 errata-xmlrpc 2016-07-14 01:50:16 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1425 https://access.redhat.com/errata/RHSA-2016:1425

Note You need to log in before you can comment on or make changes to this bug.